<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: UserBooksWidget Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user_books_widget.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_user_books_widget-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">UserBooksWidget Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_user_books_widget_8h_source.html">UserBooksWidget.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for UserBooksWidget:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_books_widget__inherit__graph.png" border="0" usemap="#_user_books_widget_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for UserBooksWidget:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_books_widget__coll__graph.png" border="0" usemap="#_user_books_widget_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a2056ae2f953de01d7121958ebbdf213a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a2056ae2f953de01d7121958ebbdf213a">openBookDetailsDialog</a> (QListWidgetItem *i)</td></tr>
<tr class="separator:a2056ae2f953de01d7121958ebbdf213a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcca830f4b93a8041e341bd4c968bc81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#abcca830f4b93a8041e341bd4c968bc81">searchBook</a> ()</td></tr>
<tr class="separator:abcca830f4b93a8041e341bd4c968bc81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a91260696bb515d9ea5e86298c97ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a29a91260696bb515d9ea5e86298c97ee">getSearchBookRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a29a91260696bb515d9ea5e86298c97ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df9e11a3816c8d47773ac840208a975"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a5df9e11a3816c8d47773ac840208a975">getWishlistRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a5df9e11a3816c8d47773ac840208a975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c40eb7f74e36ed66913746b961b6181"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a9c40eb7f74e36ed66913746b961b6181">getLoansRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a9c40eb7f74e36ed66913746b961b6181"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e3616dce32fae1ae33d045f8dcae96b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a2e3616dce32fae1ae33d045f8dcae96b">getAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a2e3616dce32fae1ae33d045f8dcae96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c58e7b93127fc7c81b52139c6f6cdc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#aa4c58e7b93127fc7c81b52139c6f6cdc">getRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aa4c58e7b93127fc7c81b52139c6f6cdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad248f782ffd541b2fabad580bebd08b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#ad248f782ffd541b2fabad580bebd08b9">getReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ad248f782ffd541b2fabad580bebd08b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa93429f9e3cb20b2d7db337a3f3041b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#aaa93429f9e3cb20b2d7db337a3f3041b">getReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aaa93429f9e3cb20b2d7db337a3f3041b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a9598ae508fd09bff774ece9ac1d0c9b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a9598ae508fd09bff774ece9ac1d0c9b9">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:a9598ae508fd09bff774ece9ac1d0c9b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec494173d4e884427c92fb819470134"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a2ec494173d4e884427c92fb819470134">sendSearchBookRequest</a> (QString id, QString title)</td></tr>
<tr class="separator:a2ec494173d4e884427c92fb819470134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae798d9d61bfb6aa9f59f91ed7d9dcf5f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#ae798d9d61bfb6aa9f59f91ed7d9dcf5f">sendWishlistRequest</a> ()</td></tr>
<tr class="separator:ae798d9d61bfb6aa9f59f91ed7d9dcf5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb164b67074c2247546e4412a3a9e458"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#adb164b67074c2247546e4412a3a9e458">sendLoansRequest</a> ()</td></tr>
<tr class="separator:adb164b67074c2247546e4412a3a9e458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b1774daba211095958aa58d6741610"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a72b1774daba211095958aa58d6741610">sendAddBookToWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a72b1774daba211095958aa58d6741610"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab99cbf4fcc12add9ab59a81728fa515f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#ab99cbf4fcc12add9ab59a81728fa515f">sendRemoveBookFromWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ab99cbf4fcc12add9ab59a81728fa515f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23fb6ce0abc52a2c585aec974e29afe5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a23fb6ce0abc52a2c585aec974e29afe5">sendReserveBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a23fb6ce0abc52a2c585aec974e29afe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a032103cfe69258a9b14b274738916799"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a032103cfe69258a9b14b274738916799">sendReturnBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a032103cfe69258a9b14b274738916799"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b5920c41a062c9d61196a8208393df3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a3b5920c41a062c9d61196a8208393df3">sendDetailsAboutBookRequestResult</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:a3b5920c41a062c9d61196a8208393df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9acd4f6fba02ded1213e0b7573a43df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#ae9acd4f6fba02ded1213e0b7573a43df">sendReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae9acd4f6fba02ded1213e0b7573a43df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13b44bb3472a24a6e48a95da1c6f23ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a13b44bb3472a24a6e48a95da1c6f23ec">sendReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a13b44bb3472a24a6e48a95da1c6f23ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a816b477d3c34d37101521d7a9974698a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a816b477d3c34d37101521d7a9974698a">sendAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a816b477d3c34d37101521d7a9974698a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a498738f7818ead6f90289f43e2fba110"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#a498738f7818ead6f90289f43e2fba110">sendRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a498738f7818ead6f90289f43e2fba110"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad560dbd0a8943e6a691c400259e05da1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_books_widget.html#ad560dbd0a8943e6a691c400259e05da1">UserBooksWidget</a> (QWidget *parent=0)</td></tr>
<tr class="separator:ad560dbd0a8943e6a691c400259e05da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. GUI widget to manage user books Features</p><ul>
<li>search box with search result area</li>
<li>whishlist books area</li>
<li>table with past loans </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad560dbd0a8943e6a691c400259e05da1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserBooksWidget::UserBooksWidget </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New widget </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent widget to show in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>widget</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a2e3616dce32fae1ae33d045f8dcae96b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getAddBookToWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9c40eb7f74e36ed66913746b961b6181"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getLoansRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets user loans </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>user books loans </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa4c58e7b93127fc7c81b52139c6f6cdc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getRemoveBookFromWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad248f782ffd541b2fabad580bebd08b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getReserveBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if request to backend to reserve book went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa93429f9e3cb20b2d7db337a3f3041b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getReturnBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if request to backend to return book went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a29a91260696bb515d9ea5e86298c97ee"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getSearchBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>list of books matching query </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5df9e11a3816c8d47773ac840208a975"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::getWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>user books wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2056ae2f953de01d7121958ebbdf213a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::openBookDetailsDialog </td>
          <td>(</td>
          <td class="paramtype">QListWidgetItem *&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Shows dialog with details about selected book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">i</td><td>item in list double clicked </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abcca830f4b93a8041e341bd4c968bc81"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::searchBook </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Search book with currently input isbn and title </p>

</div>
</div>
<a class="anchor" id="a72b1774daba211095958aa58d6741610"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendAddBookToWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a816b477d3c34d37101521d7a9974698a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendAddBookToWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9598ae508fd09bff774ece9ac1d0c9b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend for details about book with isbn </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to get details about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3b5920c41a062c9d61196a8208393df3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendDetailsAboutBookRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReservedByUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isInUserWishlist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on book details </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>full book details </td></tr>
    <tr><td class="paramname">isReservedByUser</td><td>true iff current user has reserved this book </td></tr>
    <tr><td class="paramname">isInUserWishlist</td><td>true iff book is in current user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adb164b67074c2247546e4412a3a9e458"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendLoansRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p>

</div>
</div>
<a class="anchor" id="ab99cbf4fcc12add9ab59a81728fa515f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendRemoveBookFromWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a498738f7818ead6f90289f43e2fba110"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendRemoveBookFromWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a23fb6ce0abc52a2c585aec974e29afe5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendReserveBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to reserve </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae9acd4f6fba02ded1213e0b7573a43df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendReserveBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a032103cfe69258a9b14b274738916799"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendReturnBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to return </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a13b44bb3472a24a6e48a95da1c6f23ec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendReturnBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2ec494173d4e884427c92fb819470134"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendSearchBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>isbn code to search book </td></tr>
    <tr><td class="paramname">title</td><td>title of book to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae798d9d61bfb6aa9f59f91ed7d9dcf5f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserBooksWidget::sendWishlistRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/widgets/UserBooksWidget/<a class="el" href="_user_books_widget_8h_source.html">UserBooksWidget.h</a></li>
<li>gui/widgets/UserBooksWidget/UserBooksWidget.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
